SIGSUM-MONITOR(1)

NAME
sigsum-monitor - discover signed checksums for one or more keys

SYNOPSIS
sigsum-monitor [-v] [--diagnostics log-level] [--help] [-i interval] [-P policy-name] [-p policy-file] key-files

DESCRIPTION
Discover signed checksums for public keys in OpenSSH format.

Be warned: this is a work-in-progress implementation. Witness cosignatures are not verified and no state is kept between runs.

OPTIONS

--diagnostics=log-level

    Available levels: fatal, error, warning, info, debug [info]

--help
    Show usage message and exit

-i, --interval=interval

    How often to fetch the latest entries [10m0s]

-P, --named-policy=policy-name

    Use a named trust policy defining logs, witnesses, and the end-user's quorum rule

-p, --policy=policy-file

    Trust policy file defining logs, witnesses, and the end-user's quorum rule

-v, --version
    Show program version and exit

RETURN CODES
A non-zero return code is used to indicate failure.

CONTACT
Send an email to the sigsum-general mailing list at sigsum-general@lists.sigsum.org. You can also reach out in room #sigsum at OFTC.net and matrix.org.

ENVIRONMENT
The behavior of the sigsum tools is affected by the following environment variables:

SIGSUM_POLICY_DIR
        If set, this determines the location where the sigsum tools will look for named policy files (`*.sigsum-policy`).

FILES
/etc/sigsum/policy
        This directory is the default location for named policy files (`*.sigsum-policy`), when SIGSUM_POLICY_DIR is not set.

REPORTING BUGS
Use the issue tracker located at https://git.glasklar.is/sigsum/core/sigsum-go/-/issues. To file issues without a GitLab account, send an email to sigsum-core-sigsum-go-issues@incoming.glasklar.is and wait for a maintainer to make the issue public.

SEE ALSO
sigsum-key(1) sigsum-policy(1) sigsum-submit(1) sigsum-token(1) sigsum-tools(5) sigsum-verify(1)